# Realisation update The realisation endpoint enables you to send realisation data for a specific trip Endpoint: POST /{shipper_code}/transporter/v2/{carrier_code}/realisation Version: 1.0 Security: BearerAuth ## Path parameters: - `shipper_code` (string, required) Unique shipper code as provided by Simacan - `carrier_code` (string, required) Unique carrier code as provided by Simacan ## Request fields (application/xml): - `realisation` (object) - `realisation.tripRealisation` (object, required) - `realisation.tripRealisation.tripId` (string, required) Unique reference for this trip Example: "123456" - `realisation.tripRealisation.timestamp` (string, required) Timestamp when record was created Example: "2020-12-31T14:13:22.11823+01:00" - `realisation.tripRealisation.activity` (string) A choice of activity Enum: "LADEN", "LOSSEN", "WACHTEN", "PAUZE", "TANKEN", "WASSEN", "RIJDEN", "FILE", "KOPPELEN", "VEERBOOT" - `realisation.tripRealisation.heading` (number) Amount in degrees the vehicle is heading to Example: "180" - `realisation.tripRealisation.mileage` (number) Mileage for the vehicle Example: 209923.27 - `realisation.tripRealisation.speed` (number) Speed of the vehicle in kilometers per hour Example: 75 - `realisation.tripRealisation.x` (number) X-coordinate or longitude of the vehicle Example: "4.89145" - `realisation.tripRealisation.y` (number) Y-coordinate or latitude of the vehicle Example: "52.37376" - `realisation.tripRealisation.trailers` (array) - `realisation.tripRealisation.trailers.trailerId` (string) Unique id for the trailer Example: "508818951RR" - `realisation.tripRealisation.trailers.licensePlate` (string) License plate for the trailer Example: "12-ABC-3" ## Response 401 fields ## Response 403 fields ## Response 404 fields